Class Index | File Index

## Classes

- _global_
- Array
- String
- Tee
- Tee.AfricaMap
- Tee.Animation
- Tee.Annotation
- Tee.Area
- Tee.AsiaMap
- Tee.AustraliaMap
- Tee.Bar
- Tee.Bubble
- Tee.Candle
- Tee.Chart
- Tee.Chart.Axes
- Tee.Chart.Axis
- Tee.Chart.Axis-Grid
- Tee.Chart.Axis-Labels
- Tee.Chart.Axis-Ticks
- Tee.Chart.Axis-Title
- Tee.Chart.Legend
- Tee.Chart.Legend-Symbol
- Tee.Chart.Panel
- Tee.Chart.Scroll
- Tee.Chart.SeriesList
- Tee.Chart.Title
- Tee.Chart.Tools
- Tee.Chart.Wall
- Tee.Chart.Zoom
- Tee.ChartImage
- Tee.CircularGauge
- Tee.ColorGrid
- Tee.CursorTool
- Tee.CustomBar
- Tee.CustomSeries
- Tee.CustomSeries-Pointer
- Tee.Data
- Tee.Data.Dimension
- Tee.Data.Metric
- Tee.Donut
- Tee.DragTool
- Tee.Europe27Map
- Tee.EuropeMap
- Tee.FadeAnimation
- Tee.Font
- Tee.Format
- Tee.Gantt
- Tee.Gradient
- Tee.HorizArea
- Tee.HorizBar
- Tee.Line
- Tee.Map
- Tee.Margins
- Tee.MarksAnimation
- Tee.Palette
- Tee.PaletteSeries
- Tee.Pie
- Tee.Point
- Tee.PointXY
- Tee.Polar
- Tee.Rectangle
- Tee.Series
- Tee.Series.Marks
- Tee.SeriesAnimation
- Tee.Shadow
- Tee.SouthAmericaMap
- Tee.Stroke
- Tee.Surface
- Tee.SVGMap
- Tee.Three
- Tee.Tool
- Tee.ToolTip
- Tee.USAMap
- Tee.Volume
- Tee.WorldMap

# Class Tee.Format

Contains visual parameters like fill, shadow, image, font.
Defined in: <..\..\src\teechart.js>.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Tee.Format(chart)

Field Summary
Field Attributes | Field Name and Description
--- | ---
| fill Color used to paint contents interior.
| font Properties to fill text.
| gradient Gradient properties to fill contents.
| image Image to fill background.
| round Width and height of rectangle rounded corners.
| shadow Properties to draw a backdrop shadow.
| stroke Properties to draw lines around boundaries.
| transparency Controls the transparency, from 0 (opaque) to 1 (transparent).

Method Summary
Method Attributes | Method Name and Description
--- | ---
| cube(r)
| cylinder(r, topradius, vertical, inverted)
| draw(c, getbounds, x, y, width, height)
| drawText(bounds, text)
| ellipse(cx, cy, width, height)
| ellipsePath(c, cx, cy, width, height)
| polygon(points)
| polygonBounds(points, r)
| rectangle(x, y, width, height)
| rectPath(x, y, width, height)
| roundRect(x, y, width, height, xr, yr, corners) Draws a rectangle with rounded corners
| sphere(cx, cy, width, height)
| textHeight()
| textWidth(text)

Class Detail
Tee.Format(chart)

Parameters:
{Tee.Chart} chart
  The parent chart this format object belongs to.

Field Detail
{Color} fill
Color used to paint contents interior.

{Tee.Font} font
Properties to fill text.

{Tee.Gradient} gradient
Gradient properties to fill contents.

{Tee.ChartImage} image
Image to fill background.

{Tee.Point} round
Width and height of rectangle rounded corners.

{Tee.Shadow} shadow
Properties to draw a backdrop shadow.

{Tee.Stroke} stroke
Properties to draw lines around boundaries.

{Number} transparency
Controls the transparency, from 0 (opaque) to 1 (transparent).
Method Detail
cube(r)

Parameters:
r

cylinder(r, topradius, vertical, inverted)

Parameters:
r
topradius
vertical
inverted

draw(c, getbounds, x, y, width, height)

Parameters:
c
getbounds
x
y
width
height

drawText(bounds, text)

Parameters:
bounds
text

ellipse(cx, cy, width, height)

Parameters:
cx
cy
width
height

ellipsePath(c, cx, cy, width, height)

Parameters:
c
cx
cy
width
height

polygon(points)

Parameters:
points

polygonBounds(points, r)

Parameters:
points
r

rectangle(x, y, width, height)

Parameters:
x
y
width
height

rectPath(x, y, width, height)

Parameters:
x
y
width
height

roundRect(x, y, width, height, xr, yr, corners)
Draws a rectangle with rounded corners

Parameters:
{Number} x
  Position in pixels of left side of rectangle.
{Number} y
  Position in pixels of top side of rectangle.
{Number} width
  Amount in pixels of rectangle width.
{Number} height
  Amount in pixels of rectangle height.
{Number} xr
  Amount in pixels of corners radius width.
{Number} yr
  Amount in pixels of corners radius height.
{Boolean[]} corners Optional
  Optional, defines to paint top-left, top-right, bottom-left and bottom-right corners.

sphere(cx, cy, width, height)

Parameters:
cx
cy
width
height

{Number} textHeight()

Returns:
  {Number} Returns the height in pixels of a given text using current font size and attributes.

{Number} textWidth(text)

Parameters:
text

Returns:
  {Number} Returns the width in pixels of a given text using current font size and attributes.

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Oct 23 2013 16:27:37 GMT+0200 (CEST)